/// <reference types="react" />
export interface DefinitionItemProps {
    tagName: "definition";
    dt: JSX.IntrinsicElements["dt"];
    dd: JSX.IntrinsicElements["dd"];
}
export interface DefinitionListProps {
    tagName: "dl";
    definition: DefinitionItemProps;
    children: Array<DefinitionListProps | DefinitionItemProps>;
}
interface DescriptionProps {
    dl: JSX.IntrinsicElements["dl"];
    children: Array<DefinitionListProps | DefinitionItemProps>;
}
declare const Definition: (props: DescriptionProps) => JSX.Element;
export { DescriptionProps as Props, Definition as Component };
