import * as Types from "@this/types";
import { State } from "./State";
export declare const reducer: (state: State, action: import("./Action").UpdateKeyAction) => State;
export declare type Reducer = [typeof reducer, State];
export declare const createReducer: ({ key, pkg, library }: {
    key: string;
    pkg: Types.Package;
    library: Types.Library;
}) => [(state: State, action: import("./Action").UpdateKeyAction) => State, State];
