/// <reference types="react" />
interface AppProps {
    currentKey: string;
    npmUrl: string;
    library: {
        name: string;
        version: string;
        repository: string;
    };
    Menu: JSX.Element;
    Dendrogram: JSX.Element;
    Description: JSX.Element;
}
declare const App: ({ Description, Dendrogram, Menu, npmUrl, currentKey, library }: AppProps) => JSX.Element;
export { AppProps as Props, App as Component };
