"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const Definition = require("./Definiton");
const generateDefinitionItemProps = ({ name, description }) => {
    return {
        tagName: "definition",
        dt: {
            children: name,
        },
        dd: {
            children: description,
        },
    };
};
const generateDefinitionListProps = (treeData) => {
    return {
        tagName: "dl",
        definition: generateDefinitionItemProps(treeData),
        children: treeData.children.map(generateDefinitionListProps),
    };
};
const generateProps = ({ treeData }) => {
    return {
        dl: {},
        children: [generateDefinitionListProps(treeData)],
    };
};
exports.Container = ({ store }) => {
    return React.createElement(Definition.Component, Object.assign({}, generateProps(store)));
};
//# sourceMappingURL=Container.js.map